<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>
<style>
.main_l .content{ margin:10px auto; width:480px; text-align:left; margin-bottom:50px}
.main_l .content .question{padding:10px 0; display:none;}
.main_l .content .q_title{ margin-bottom:30px;color:#27F;}
.main_l .item,.content .last_item{ font-size:15px; padding:5px 12px;line-height:28px; background:#f8f8f8; border:1px solid #ddd; margin-bottom:15px; cursor:pointer; color:#565656}
.content .item:hover,.content .last_item:hover{background:#eee; border:1px solid #ddd;}
</style>
<p style="color:#F06; line-height:30px; text-align:center; margin:20px;">已完成：<span id="count">0</span>/1，计时：<span id="show_time">0</span> 秒</p>
<div class="content">
<form action="./" method="post" id="form1" name="form1">
<input type="hidden" id="v_time" name="v_time" />
<input type="hidden" id="follow" name="follow" />


<div class="question" style="display:block">
    <p class="title">	在路上突然被工读生堵上，要你填一份怪怪的问卷，你有点怀疑资料最后的流向，所以不愿太认真填写，下列哪一个项目你会谎报？ </p>
    <p class="last_item"><input type="radio" name="i1" value="5"/>A.姓名</p>
    <p class="last_item"><input type="radio" name="i1" value="15"/>B.电话</p>
    <p class="last_item"><input type="radio" name="i1" value="25"/>C.年龄</p>
    <p class="last_item"><input type="radio" name="i1" value="35"/>D.婚姻状况</p>

    <p style="text-align:center; margin-top:30px;">
    <a href="#" onclick="on_submit(); return false;"><img src="http://app.qpic.cn/mblogpic/05f902135224a3463866/2000" /></a>
    </p>
</div>
</form>
</div><!--/content-->

<script>
var v_time=0;
var current_i=0;
var i1_ischecked=0;
$(function()
{
	$('.item').click(function()
	{
		
		$(this).children('input').attr('checked',true);
		current_i++;
		$('#count').html(current_i);
		$(this).parent('.question').hide(300);
		$(this).parent('.question').next().show(300);
	});
	$('.item').hover(function(){$(this).css('background','#eee');},function(){$(this).css('background','#f8f8f8');});
	
	$('.last_item').click(function()
	{
		$(this).children('input').attr('checked',true);
		if(i1_ischecked==0)
		{
			current_i++;
			$('#count').html(current_i);
		}
		i1_ischecked=1;
	});
	$('.last_item').hover(function(){$(this).css('background','#eee');},function(){$(this).css('background','#f8f8f8');});

});
function on_submit()
{
	document.getElementById('v_time').value=v_time;
	if(i1_ischecked==0)
	{
		alert('请选择一项！');
		return;
	}
	var form1=document.getElementById('form1');
	form1.submit();
}

function show_time()
{
	v_time++;
	document.getElementById('show_time').innerHTML=v_time;
	r_show_time();
}
function r_show_time()
{
	setTimeout("show_time()", 1000);
}
setTimeout("show_time()", 1000);
</script>